import { createTree, isRedBlackTree as _isRedBlackTree } from '../internals';
export function empty(mutable, compare) {
    if (typeof mutable === 'function') {
        compare = mutable;
        mutable = false;
    }
    return createTree(mutable || false, compare);
}
/**
 * Determines whether the input argument is an instance of a Collectable.js RedBlackTree structure.
 *
 * @export
 * @param {RedBlackTree<K, V>} arg The input value to check
 * @returns {boolean} True if the input value is a RedBlackTree, otherwise false
 */
export function isRedBlackTree(arg) {
    return _isRedBlackTree(arg);
}

//# sourceMappingURL=empty.js.map
